> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all batch crypto transfers

> Returns a list of batch crypto transfers associated with a user under your organization. The batch crypto transfers are returned sorted by creation date, with the most recent batch crypto transfers appearing first.




## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/wallets/transfers/batches
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/wallets/transfers/batches:
    get:
      tags:
        - Crypto Transfer
      summary: List all batch crypto transfers
      description: >
        Returns a list of batch crypto transfers associated with a user under
        your organization. The batch crypto transfers are returned sorted by
        creation date, with the most recent batch crypto transfers appearing
        first.
      parameters:
        - $ref: '#/components/parameters/UserIdOptionalParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/CreatedBeforeParameter'
        - $ref: '#/components/parameters/CreatedAfterParameter'
      responses:
        '200':
          $ref: '#/components/responses/BatchCryptoTransferAllRecordsResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdOptionalParameter:
      name: userId
      in: query
      schema:
        type: string
      description: The user ID.
      required: false
    LimitParameter:
      name: limit
      in: query
      schema:
        type: string
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
    CreatedBeforeParameter:
      name: createdBefore
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
    CreatedAfterParameter:
      name: createdAfter
      in: query
      schema:
        type: string
        format: date
      description: 'ISO format: YYYY-MM-DD'
      required: false
  responses:
    BatchCryptoTransferAllRecordsResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BatchCryptoTransferListObject'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    BatchCryptoTransferListObject:
      type: object
      required:
        - count
        - records
        - nextCursor
      properties:
        count:
          type: integer
          example: 1
        records:
          type: array
          items:
            type: object
            required:
              - transferType
              - transferDetails
            properties:
              transferType:
                type: string
                example: WALLET.TRANSFER.BATCH
              transferDetails:
                type: object
                required:
                  - id
                  - requestId
                  - createdAt
                  - updatedAt
                  - chain
                  - currency
                  - contractAddress
                  - status
                  - source
                  - destination
                  - receipt
                properties:
                  id:
                    type: string
                    format: uuid
                    example: a671d42d-9417-4bb3-868e-06c868d0d4b8
                  requestId:
                    type: string
                    format: uuid
                    example: d2189ddd-2d32-4a46-9421-d25ebf602e6c
                  createdAt:
                    type: string
                    format: date-time
                    example: '2025-04-05T14:01:09.785Z'
                  updatedAt:
                    type: string
                    format: date-time
                    example: '2025-04-05T14:01:37.708Z'
                  chain:
                    type: string
                    enum:
                      - POLYGON
                    example: POLYGON
                  currency:
                    type: string
                    enum:
                      - usdc
                    example: usdc
                  contractAddress:
                    type: string
                    example: '0x41e94eb019c0762f9bfcf9fb1e58725bfb0e7582'
                  status:
                    type: string
                    enum:
                      - NOT_INITIATED
                      - CREATED
                      - INITIATED
                      - PENDING
                      - COMPLETED
                      - FAILED
                      - UNKNOWN
                    example: COMPLETED
                  failedReason:
                    type: string
                    nullable: true
                    example: null
                  source:
                    type: object
                    required:
                      - userId
                      - walletAddress
                      - walletType
                    properties:
                      userId:
                        type: string
                        format: uuid
                        example: a1f70737-3844-4782-a321-ad481108a8ec
                      walletAddress:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        example: '0xAFD59de44048D33d964f720ec2Dec3465D8D887D'
                      walletType:
                        type: string
                        enum:
                          - INDIVIDUAL
                          - BUSINESS
                        example: INDIVIDUAL
                  destination:
                    type: object
                    required:
                      - batch
                    properties:
                      batch:
                        type: array
                        maxItems: 50
                        items:
                          type: object
                          required:
                            - amount
                          properties:
                            amount:
                              type: string
                              example: '0.01'
                            userId:
                              type: string
                              format: uuid
                              example: a1f70737-3844-4782-a321-ad481108a8ec
                            walletAddress:
                              type: string
                              pattern: ^0x[a-fA-F0-9]{40}$
                              example: null
                  receipt:
                    type: object
                    required:
                      - transactionHash
                    properties:
                      transactionHash:
                        type: string
                        example: >-
                          0xeef52c844f72f41717f025b160a8e6b34ebcd22ea77b5e70fd6ab4c5a42e98af
                      userOpHash:
                        type: string
                        example: >-
                          0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac
                      approval:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            example: 006737ca-42d5-4780-b3c2-aeb63279c591
                          status:
                            type: string
                            example: PENDING
                          createdAt:
                            type: string
                            format: date-time
                            example: '2025-02-03T16:11:36.654998+00:00'
                          updatedAt:
                            type: string
                            format: date-time
                            example: '2025-02-03T16:12:41.503+00:00'
                          transferId:
                            type: string
                            format: uuid
                            example: 006737ca-42d5-4780-b3c2-aeb63279c591
                          transferType:
                            type: string
                            example: WALLET.TRANSFER.BATCH
                          fromDashboard:
                            type: boolean
                            example: true
                          initiatorProfileId:
                            type: string
                            format: uuid
                            example: aec66b02-4f3f-471c-839a-94820b36abb2
                          votes:
                            type: array
                            description: >-
                              Array of approval votes (only present when status
                              is PENDING_APPROVAL or REJECTED)
                            items:
                              type: object
                              properties:
                                approverId:
                                  type: string
                                  format: uuid
                                  example: aec66b02-4f3f-471c-839a-94820b36abb2
                                vote:
                                  type: string
                                  enum:
                                    - APPROVE
                                    - REJECT
                                  example: REJECT
                                comment:
                                  type: string
                                  example: Transfer amount exceeds daily limit
                                createdAt:
                                  type: string
                                  format: date-time
                                  example: '2025-02-03T16:12:41.503+00:00'
        nextCursor:
          type: string
          format: date-time
          example: '2025-04-05T14:01:09.785Z'
      example:
        count: 1
        records:
          - transferType: WALLET.TRANSFER.BATCH
            transferDetails:
              id: a671d42d-9417-4bb3-868e-06c868d0d4b8
              requestId: d2189ddd-2d32-4a46-9421-d25ebf602e6c
              createdAt: '2025-04-05T14:01:09.785Z'
              updatedAt: '2025-04-05T14:01:37.708Z'
              chain: POLYGON
              currency: usdc
              contractAddress: '0x41e94eb019c0762f9bfcf9fb1e58725bfb0e7582'
              status: COMPLETED
              failedReason: null
              source:
                userId: a1f70737-3844-4782-a321-ad481108a8ec
                walletAddress: '0xAFD59de44048D33d964f720ec2Dec3465D8D887D'
                walletType: INDIVIDUAL
              destination:
                batch:
                  - amount: '0.01'
                    userId: a1f70737-3844-4782-a321-ad481108a8ec
                  - amount: '0.01'
                    userId: a1f70737-3844-4782-a321-ad481108a8ec
                  - amount: '0.01'
                    userId: a1f70737-3844-4782-a321-ad481108a8ec
                  - amount: '0.01'
                    userId: a1f70737-3844-4782-a321-ad481108a8ec
                  - amount: '0.01'
                    userId: a1f70737-3844-4782-a321-ad481108a8ec
              receipt:
                transactionHash: >-
                  0xeef52c844f72f41717f025b160a8e6b34ebcd22ea77b5e70fd6ab4c5a42e98af
                userOpHash: >-
                  0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac
        nextCursor: '2025-04-05T14:01:09.785Z'
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````